<template>
  <div id="event-spotlight">
    <div class="container extended pt-4 pt-md-5">
      <h1>{{ $t('events.title.spotlight') }}</h1>
    </div>

    <div
      class="bg-section-gradient pt-4 pb-4 pt-md-5 pb-md-5 section-border-top section-border-bottom"
    >
      <div class="container extended">
        <Events></Events>
      </div>
    </div>

    <div class="container extended pt-4">
      <h1>{{ $t('events.title.calendar') }}</h1>
    </div>

    <div
      class="bg-section-gradient widget-calendar section-border-top section-border-bottom"
    >
      <div class="container extended pt-4 pb-4 pt-md-5 pb-md-5">
        <!--<no-ssr><full-calendar view="dayGridMonth"></full-calendar></no-ssr>-->
        <client-only>
          <full-calendar view="listMonth"></full-calendar>
        </client-only>
      </div>
    </div>

    <div
      :style="
        'background-image: url(' +
          require('~/assets/images/screenshot/fight.1920x1080.jpg') +
          ');background-position:center;height:240px;'
      "
      class="d-none d-md-block"
    ></div>
  </div>
</template>

<script>
import Events from '~/components/events';
export default {
  auth: false,
  components: { Events },
  async fetch({ store, params }) {
    await store.dispatch('events/loadEvents');
  },
  mounted() {
    this.$store.commit('SET_ACTIVE_PAGE', 'events');
  },
};
</script>
